Skip Menu |
 

This queue is for tickets about the Module-Build CPAN distribution.

Report information
The Basics
Id: 54954
Status: resolved
Priority: 0/
Queue: Module-Build

People
Owner: Nobody in particular
Requestors: mst [...] shadowcat.co.uk
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: (no value)
Fixed in: (no value)



Subject: Bail out if configure_requires not satisfied
Date: Wed, 24 Feb 2010 22:09:34 +0000
To: bugs-Module-Build [...] rt.cpan.org
From: Matt S Trout <mst [...] shadowcat.co.uk>
Download (untitled) / with headers
text/plain 635b
22:07 <@ewilhelm> give me an rt ticket for "bail if configure_requires not satisfied by previous version which ran Build.PL" ? The idea here is ./Build should explode if we configure_requires MB $X and Build.PL was run by $Y where $Y < $X. That way ./Build won't try and run and then likely fail because the M::B was too old to generate it properly. -- Matt S Trout Catalyst and DBIx::Class consultancy with a clue Technical Director and a commit bit: http://shadowcat.co.uk/catalyst/ Shadowcat Systems Limited mst (@) shadowcat.co.uk http://shadowcat.co.uk/blog/matt-s-trout/
patched in the repo
Download (untitled) / with headers
text/plain 103b
Now that there has been a stable Module::Build release, I'm marking this "patched" issue as "resolved".


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.